{
  "custom": {},
  "params": {
    "screenName": "",
    "widgetData": ""
  },
  "permissions": {
    "securityLevels": [
      {
        "children": [],
        "name": "Authenticated"
      }
    ],
    "type": "AnyOf"
  },
  "propConfig": {
    "params.screenName": {
      "paramDirection": "inout",
      "persistent": true
    },
    "params.widgetData": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 1080,
      "width": 1920
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "contextMenu": {
            "enabled": true,
            "items": [
              {
                "children": [],
                "icon": {
                  "color": "",
                  "path": "material/save",
                  "style": {}
                },
                "link": {
                  "target": "self",
                  "url": ""
                },
                "message": {
                  "payload": {},
                  "scope": "page",
                  "type": ""
                },
                "method": {
                  "name": "",
                  "params": {}
                },
                "style": {
                  "classes": ""
                },
                "text": "Refresh Available Widgets",
                "type": "link"
              }
            ]
          },
          "name": "Dashboard"
        },
        "position": {
          "basis": "973px",
          "grow": 1
        },
        "propConfig": {
          "props.availableWidgets": {
            "binding": {
              "config": {
                "path": "../MasterDashboard.props.availableWidgets"
              },
              "transforms": [
                {
                  "code": "\tmesModules \u003d shared.utils.getMESModules()\n\t\n\tfilteredWidgets \u003d []\n\tfor widget in value:\n\t\tif \u0027SPC\u0027 in widget[\u0027category\u0027]:\n\t\t\tif \u0027SPC\u0027 in mesModules:\n\t\t\t\tfilteredWidgets.append(widget)\n\t\t\telse:\n\t\t\t\tcontinue\n\t\telif \u0027Changeover\u0027 in widget[\u0027category\u0027]:\n\t\t\tif \u0027Settings and Changeover\u0027 in mesModules:\n\t\t\t\tfilteredWidgets.append(widget)\n\t\t\telse:\n\t\t\t\tcontinue\n\t\telif \u0027Trace\u0027 in widget[\u0027category\u0027]:\n\t\t\tif \u0027Trace\u0027 in mesModules:\n\t\t\t\tfilteredWidgets.append(widget)\n\t\t\telse:\n\t\t\t\tcontinue\n\t\telse:\n\t\t\tfilteredWidgets.append(widget)\n\treturn filteredWidgets",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          },
          "props.grid": {
            "binding": {
              "config": {
                "path": "page.props.dimensions.viewport.width"
              },
              "transforms": [
                {
                  "code": "\tif value \u003e 600:\n\t\treturn \u0027stretch\u0027\n\treturn \u0027fixed\u0027",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          },
          "props.widgets": {
            "onChange": {
              "enabled": null,
              "script": "\twidgetJSON\u003dsystem.util.jsonEncode(self.props.widgets)\n\tif origin\u003d\u003d\u0027Browser\u0027:\n\t\tsystem.perspective.sendMessage(\u0027widgetsChanged\u0027,None, \u0027page\u0027)"
            }
          }
        },
        "props": {
          "editingToggle": false,
          "fixed": {
            "cellSize": 50
          },
          "isEditing": true,
          "pack": false,
          "stretch": {
            "columnCount": 20,
            "columnGutterSize": 15,
            "rowCount": 20,
            "rowGutterSize": 15
          },
          "style": {
            "margin": "30px"
          }
        },
        "type": "ia.display.dashboard"
      },
      {
        "meta": {
          "contextMenu": {
            "enabled": true,
            "items": [
              {
                "children": [],
                "icon": {
                  "color": "",
                  "path": "material/save",
                  "style": {}
                },
                "link": {
                  "target": "self",
                  "url": ""
                },
                "message": {
                  "payload": {},
                  "scope": "page",
                  "type": ""
                },
                "method": {
                  "name": "",
                  "params": {}
                },
                "style": {
                  "classes": ""
                },
                "text": "Commit Available Widgets",
                "type": "link"
              }
            ]
          },
          "name": "MasterDashboard"
        },
        "position": {
          "basis": "973px",
          "display": false,
          "grow": 1
        },
        "props": {
          "availableWidgets": [
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Downtime",
              "defaultSize": {
                "columnSpan": 10,
                "rowSpan": 5
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": "OEE Time Chart"
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 5,
                "rowSpan": 4
              },
              "name": "OEE Time Chart",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "runLookbackCount": 0,
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Components/Time Chart"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Downtime",
              "defaultSize": {
                "columnSpan": 5,
                "rowSpan": 8
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 4,
                "rowSpan": 7
              },
              "name": "Downtime Table",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "runLookbackCount": 0,
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Components/Downtime Table"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 5,
                "rowSpan": 8
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 4,
                "rowSpan": 7
              },
              "name": "Top 5 Downtime Pie Chart",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": ""
              },
              "viewPath": "Page/Widgets/Charts/Top5DT_Pie"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 4,
                "rowSpan": 4
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "name": "Planned Vs. Actual Target",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Charts/Count vs Rate"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Top 5 Downtime Bar Chart",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Charts/Top5DT_Bar"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Downtime Occurrence Count",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Charts/Downtime Duration with Occurrance Count"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Cell Cycle Time",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Charts/Cycle Time Interval"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Asset Utilization",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Charts/Asset Utilization"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Products Produced",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Charts/Products Produced"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Global",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Global OEE",
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": "Page/Widgets/Dials/Global OEE"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Global",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Global OEE Availability",
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": "Page/Widgets/Dials/Global OEE Availability"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Global",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Global OEE Performance",
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": "Page/Widgets/Dials/Global OEE Performance"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Global",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Global OEE Quality",
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": "Page/Widgets/Dials/Global OEE Quality"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Global",
              "defaultSize": {
                "columnSpan": 4,
                "rowSpan": 4
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 3,
                "rowSpan": 3
              },
              "name": "Global OEE By Hour",
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": "Page/Widgets/Global/OEE By Hour"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Dials",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Availability",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Dials/A"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Dials",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Performance",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Dials/P"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Dials",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Quality",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Dials/Q"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Dials",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "OEE",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Dials/O"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Performance Per Hour",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Charts/Performance Per Hour"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Product Code",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": ""
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Product Code"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Outfeed Count",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": ""
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE Outfeed"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Reject Count",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": ""
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE Rejects"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Line State Name",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": ""
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Line State Name"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Line State Type",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": ""
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Line State Type"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Production Status",
              "style": {
                "classes": "ScreenWidget/ScreenWidget"
              },
              "viewParams": {
                "equipmentPath": ""
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Production Status"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "OEE",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": "",
                "title": "OEE"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "OEE Availability",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": "",
                "title": "OEE Availability"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE Availability"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "OEE Performance",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": "",
                "title": "OEE Performance"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE Performance"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "OEE Quality",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": "",
                "title": "OEE Quality"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/OEE Quality"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Elapsed Time",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": ""
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Elapsed Time"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Site",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Site OEE Scores",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Site/Site OEE Scores"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Global",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Global Rejects Per Hour",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "timePeriod": ""
              },
              "viewPath": "Page/Widgets/Global/Rejects Per Hour"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Run Control",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "OEE Run Director",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "title": ""
              },
              "viewPath": "Page/Widgets/Components/RunControl"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Run Control",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Run Control Buttons",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "title": ""
              },
              "viewPath": "Page/Widgets/Components/Run Control with Production Target"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Run Control",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Run Control (Tag Based)",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "title": ""
              },
              "viewPath": "Page/Widgets/Components/Run Control for UDT"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Site",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Site Production Goal",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "title": "Site Production Goal"
              },
              "viewPath": "Page/Widgets/Site/Site Production Goal"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Run Control",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Index",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "manual": "",
                "title": ""
              },
              "viewPath": "Page/Widgets/Components/Indexing"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Downtime Duration By Reason",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "timePeriod": "",
                "title": "Downtime Duration By Reason"
              },
              "viewPath": "Page/Widgets/Charts/Downtime Duration By Reason"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Downtime Pareto",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "timePeriod": "",
                "title": "Downtime Pareto"
              },
              "viewPath": "Page/Widgets/Charts/Downtime Pareto"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Charts",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Blocked Starved",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "timePeriod": "",
                "title": "Blocked Starved"
              },
              "viewPath": "Page/Widgets/Charts/Blocked Starved"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 3,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "name": "Current Shift",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "title": "Current Shift"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Current Shift"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 3,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "name": "Current Shift Begin",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "title": "Current Shift Begin"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Current Shift Begin"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 3,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "name": "Production Run Begin",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "title": "Production Run Begin"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Current Run Begin"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Live Analysis",
              "defaultSize": {
                "columnSpan": 3,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "name": "Current Shift End",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "title": "Current Shift End"
              },
              "viewPath": "Page/Widgets/Labels/Single Labels/Live Analysis/Current Shift End"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Schedulue",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Work Order Table",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "title": "Work Order Table"
              },
              "viewPath": "Page/Widgets/Components/Work Order Table"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Settings \u0026 Changeover",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Setpoint Variance Viewer",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "boolean": false,
                "configuring": false,
                "equipmentPath": "",
                "title": "Variance Viewer"
              },
              "viewPath": "Page/Widgets/Components/Setpoint Variance Viewer"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Schedulue",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Schedule Selector",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "boolean": "",
                "configuring": false,
                "endDateDuration": {
                  "number": "1",
                  "unit": "hour"
                },
                "equipmentPath": "",
                "timePeriod": "",
                "title": "Schedule Selector"
              },
              "viewPath": "Page/Widgets/Components/Schedulue Selector"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Schedulue",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Work Schedule",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "endDateDuration": {
                  "number": "",
                  "unit": ""
                },
                "equipmentPath": "",
                "timePeriod": "",
                "title": "Work Schedule"
              },
              "viewPath": "Page/Widgets/Components/Work Schedule"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Schedulue",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Current Schedule",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "title": "Current Schedule Timeline"
              },
              "viewPath": "Page/Widgets/Custom/Current Schedule"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SCADA",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Tag Label",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "tagPath": "",
                "title": "Label"
              },
              "viewPath": "Page/Widgets/SCADA/Tag Label"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Individual",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Individual"
              },
              "viewPath": "Page/Widgets/SPC/Individual"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Box and Whisker",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Individual"
              },
              "viewPath": "Page/Widgets/SPC/Box and Whisker"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Median",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Median"
              },
              "viewPath": "Page/Widgets/SPC/Median"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Pareto",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Pareto"
              },
              "viewPath": "Page/Widgets/SPC/Pareto"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Histogram",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Histogram"
              },
              "viewPath": "Page/Widgets/SPC/Histogram"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Trace",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Receive Inventory",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "title": "Title"
              },
              "viewPath": "Page/Widgets/Trace/MaterialReceiving"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Trace",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": false,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Lot Lookup",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "timePeriod": "",
                "title": ""
              },
              "viewPath": "Page/Widgets/Trace/LotLookup"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "NP-Chart",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "NP-Chart"
              },
              "viewPath": "Page/Widgets/SPC/NP-Chart"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "P-Chart",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "P-Chart"
              },
              "viewPath": "Page/Widgets/SPC/P-Chart"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Process Capability",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Process Capability"
              },
              "viewPath": "Page/Widgets/SPC/Process Capability"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Process Performance",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "configuring": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Process Performance"
              },
              "viewPath": "Page/Widgets/SPC/Process Performance"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Process Capability and Performance",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Process Capability and Performance"
              },
              "viewPath": "Page/Widgets/SPC/Process Capability and Performance"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Range",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Range"
              },
              "viewPath": "Page/Widgets/SPC/Range"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Standard Deviation",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Standard Deviation"
              },
              "viewPath": "Page/Widgets/SPC/Standard Deviation"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "U-Chart",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "U-Chart"
              },
              "viewPath": "Page/Widgets/SPC/U-Chart"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "XBar Chart",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": true,
                "timePeriod": "",
                "title": "XBar Chart"
              },
              "viewPath": "Page/Widgets/SPC/XBar Chart"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Trace",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Equipment Inventory",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "title": "Inventory"
              },
              "viewPath": "Page/Widgets/Trace/Inventory"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Trace",
              "defaultSize": {
                "columnSpan": 4,
                "rowSpan": 4
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Material Consumption",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "equipmentPath": "",
                "title": ""
              },
              "viewPath": "Page/Widgets/Trace/Material Consume"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "SPC",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "C Chart",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "allowLimitEdit": false,
                "equipmentPath": "",
                "sasName": "",
                "showTable": false,
                "timePeriod": "",
                "title": "Process Capability and Performance"
              },
              "viewPath": "Page/Widgets/SPC/C-Chart"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "PDF Report",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Production Report",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "timePeriod": "",
                "title": "Production Report"
              },
              "viewPath": "Page/Widgets/Ignition Report/Production Report"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Trace",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Lot Trace Report",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "timePeriod": "",
                "title": "Trace Report"
              },
              "viewPath": "Page/Widgets/Ignition Report/Lot Trace Report"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Global",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": false,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": false,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "All Lines Status",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "sitePath": "Enterprise\\El Dorado Hills"
              },
              "viewPath": "Page/Widgets/Global/Site Dashboard"
            },
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "category": "Settings \u0026 Changeover",
              "defaultSize": {
                "columnSpan": 2,
                "rowSpan": 2
              },
              "header": {
                "enabled": true,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": true,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "Recipe Selector",
              "style": {
                "classes": ""
              },
              "viewParams": {
                "configuring": false,
                "equipmentPath": "",
                "timePeriod": "",
                "title": "SCO Recipe Selector"
              },
              "viewPath": "Page/Widgets/Custom/SCO Recipe Selector"
            }
          ],
          "editingToggle": false,
          "fixed": {
            "cellSize": 50
          },
          "grid": "fixed",
          "isEditing": true,
          "stretch": {
            "columnCount": 20,
            "columnGutterSize": 15,
            "rowCount": 20,
            "rowGutterSize": 15
          },
          "style": {
            "margin": "30px"
          },
          "widgets": [
            {
              "body": {
                "style": {
                  "classes": ""
                }
              },
              "header": {
                "enabled": true,
                "style": {
                  "classes": ""
                },
                "title": ""
              },
              "isConfigurable": false,
              "minSize": {
                "columnSpan": 1,
                "rowSpan": 1
              },
              "name": "",
              "position": {
                "columnEnd": 2,
                "columnStart": 1,
                "rowEnd": 2,
                "rowStart": 1
              },
              "style": {
                "classes": ""
              },
              "viewParams": {},
              "viewPath": ""
            }
          ]
        },
        "type": "ia.display.dashboard"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "scripts": {
      "customMethods": [],
      "extensionFunctions": null,
      "messageHandlers": [
        {
          "messageType": "loadScreen",
          "pageScope": true,
          "script": "\tsystem.perspective.print(\u0027loadScreen\u0027)\n\tdashboard\u003dself.getChild(\"Dashboard\")\n\tif payload[\"screen_id\"]:\n\t\tresults\u003dsystem.db.runNamedQuery(shared.mes.util.DB_TYPE + \"/screen/Get Screen Widgets by id\",{\"screen_id\":payload[\"screen_id\"]})\n\t\tif results.rowCount:\n\t\t\twidgets \u003d system.util.jsonDecode(results.getValueAt(0,0))\n\t\telse:\n\t\t\twidgets \u003d []\n\telse:\n\t\twidgets \u003d []\n\t\t\t\n\tdashboard.props.widgets\u003dwidgets\n\tdashboard.custom.unsavedChanges\u003dFalse",
          "sessionScope": false,
          "viewScope": false
        },
        {
          "messageType": "saveScreen",
          "pageScope": true,
          "script": "\t\n\tdef sendError(message):\n\t\tsystem.perspective.sendMessage(\"saveScreenError\",message,\"page\")\n\t\n\tname\u003dpayload[\"name\"]\n\tif not name:\n\t\tsendError(\"Screen Name cannot be blank\")\n\t\treturn\n\n\tmenuGroup\u003dpayload[\"menu_group\"]\n\tif not menuGroup and name!\u003d\u0027Home\u0027 and (\"Home\" in name) \u003d\u003d False:\n\t\tsendError(\"Menu Group cannot be blank\")\n\t\treturn\n\t\n\tif menuGroup.lower() \u003d\u003d \u0027system\u0027:\n\t\tsendError(\"Sorry, the menu group named system is reserved.\")\n\t\treturn\n\t\n\twidgets \u003d self.getChild(\"Dashboard\").props.widgets\n\twidgetJSON \u003d system.util.jsonEncode(widgets)\n\t\n\tif payload[\"screen_id\"]:\n\t\t\n\t\tscreen_id\u003dpayload[\"screen_id\"]\n\t\tusername \u003d self.session.props.auth.user.userName\n\t\tsystem.db.runNamedQuery(shared.mes.util.DB_TYPE + \u0027/screen/Update Screen\u0027,{\n\t\t\t\"screen_id\": screen_id,\n\t\t\t\"name\": payload[\"name\"],\n\t\t\t\"menu_group\": payload[\"menu_group\"],\n\t\t\t\"username\": username,\n\t\t\t\"widgets\": widgetJSON\n\t\t})\n\telse: #add\n\t\tcnt \u003d system.db.runNamedQuery(shared.mes.util.DB_TYPE + \u0027/screen/Get Screen Count\u0027)\n\t\t\n\t\tif  payload[\"menu_group\"].lower() \u003d\u003d \u0027system\u0027:\n\t\t\tsendError(\"Sorry, the menu group named system is reserved.\")\n\t\t\treturn\n\n\t\tusername \u003d self.session.props.auth.user.userName\n\t\tscreen_id\u003dsystem.db.runNamedQuery(\n\t\t\tpath\u003d shared.mes.util.DB_TYPE + \u0027/screen/Add Screen\u0027, \n\t\t\tparameters\u003d{\n\t\t\t\t\"name\": payload[\"name\"],\n\t\t\t\t\"menu_group\": payload[\"menu_group\"],\n\t\t\t\t\"username\": username,\n\t\t\t\t\"widgets\": widgetJSON\n\t\t\t},\n\t\t\tgetKey\u003dTrue\t\t\n\t\t)\n\n\tsystem.perspective.sendMessage(\u0027screensChanged\u0027, {\u0027screen_id\u0027:screen_id}, \u0027session\u0027)\n",
          "sessionScope": false,
          "viewScope": false
        },
        {
          "messageType": "deleteScreen",
          "pageScope": true,
          "script": "\tsystem.db.runNamedQuery(shared.mes.util.DB_TYPE + \u0027/screen/Delete Screen\u0027, {\u0027screen_id\u0027: payload[\u0027screen_id\u0027]})\n\tsystem.perspective.sendMessage(\u0027screensChanged\u0027, {\u0027screen_id\u0027: None}, \u0027session\u0027)",
          "sessionScope": false,
          "viewScope": false
        }
      ]
    },
    "type": "ia.container.flex"
  }
}